// put in saftey stuff
// did mission choice
#include <stdio.h>
#include <dos.h>
#include <math.h>
#include <string.h>
#include <malloc.h>
#include "3dproj.h"
#include "3ddefs.h"
#include "3dprep.h"
#include "3dvarse.h"
void  missionchoice(void)
{
  int flag1=0;
  apigameprint3(1 , 230 , 6 ,  "1: BS1.MSN" );
  apigameprint3(1 , 230 , 12 , "2: BS2.MSN" );
  apigameprint3(1 , 230 , 18 , "3: BS3.MSN" );
  apigameprint3(1 , 230 , 24 , "4: BS4.MSN" );
  apigameprint3(1 , 230 , 30 , "5: BS5.MSN" );
  apigameprint3(1 , 230 , 36 , "6: AC1.MSN" );
  apigameprint3(1 , 230 , 42 , "7: AC2.MSN" );
  apigameprint3(1 , 230 , 48 , "8: AC3.MSN" );
  apigameprint3(1 , 230 , 54 , "9: AC4.MSN" );
  apigameprint3(1 , 230 , 60 , "0: AC5.MSN" );
  apiscreenswap();
  reset();
  while (flag1==0)
  {
    if (key[_1])
    {
      load("BS1");
      flag1=1;
    }
    if (key[_2])
    {
      load("BS2");
      flag1=1;
    }
    if (key[_3])
    {
      load("BS3");
      flag1=1;
    }
    if (key[_4])
    {
      load("BS4");
      flag1=1;
    }
    if (key[_5])
    {
      load("BS5");
      flag1=1;
    }
    if (key[_6])
    {
      load("AC1");
      flag1=1;
    }
    if (key[_7])
    {
      load("AC2");
      flag1=1;
    }
    if (key[_8])
    {
      load("AC3");
      flag1=1;
    }
    if (key[_9])
    {
      load("AC4");
      flag1=1;
    }
    if (key[_0])
    {
      load("AC5");
      flag1=1;
    }
  }
  prepareyourguns();
  // briefing ();
}

